Name:		gst-editing-services
Version:	1.2.1
Release:	4%{?dist}
Summary:	Gstreamer editing services

Group:		Development/Libraries
License:	GPLv2+ and LGPLv2+
URL:		http://cgit.freedesktop.org/gstreamer/gst-editing-services/		

# autogen.sh was run before tarballing, because it calls git
Source0:	http://gstreamer.freedesktop.org/src/gstreamer-editing-services/gstreamer-editing-services-%{version}.tar.xz

BuildRequires:	gstreamer1-devel >= 1.2.0
BuildRequires:	gstreamer1-plugins-base-devel >= 1.2.0
BuildRequires:	autoconf automake libtool
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
Requires:	python-gstreamer1

%description 
This is a high-level library for facilitating the creation of audio/video
non-linear editors.

%package devel
Summary: Development files for gst-editing-services
License:	GPLv2+ and LGPLv2+
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains libraries and header files for
developing applications that use %{name}

%prep
%setup -q -n gstreamer-editing-services-%{version}

%build
autoreconf -fiv
%configure
make %{?_smp_mflags} V=1
find . -name '.gitignore' | xargs rm -f


%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc ChangeLog COPYING* README RELEASE NEWS AUTHORS
%{_bindir}/ges-launch-1.0
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GES-1.0.typelib

%files devel
%doc docs/
%{_libdir}/*.so
%{_includedir}/gstreamer-1.0/ges/
%{_libdir}/pkgconfig/gst-editing-services-1.0.pc
%{_datadir}/gir-1.0/GES-1.0.gir


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 1.2.1-3
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 01 2014 Jon Ciesla <limburgher@gmail.com> - 1.2.1-1
- 1.2.1, BZ 1093138.

* Thu Jan 23 2014 Jon Ciesla <limburgher@gmail.com> - 1.2.0-1
- 1.2.0, BZ 1077939.

* Thu Jan 23 2014 Jon Ciesla <limburgher@gmail.com> - 1.1.90-5.20140123git105d901
- More recent snapshot.

* Thu Jan 16 2014 Jon Ciesla <limburgher@gmail.com> - 1.1.90-4.20131206git289b04f
- Added dep on python-gstreamer1.
- Moved .dir to -devel.

* Fri Dec 06 2013 Jon Ciesla <limburgher@gmail.com> - 1.1.90-3.20131206git289b04f
- Added BuildRequires for gobject-introspection, gtk-doc
- Added ownershipo of GES files.

* Tue Oct 29 2013 Jon Ciesla <limburgher@gmail.com> - 1.1.90-2.20131015git71a6d75
- Multiple review fixes, BZ 1019403 comment 1.

* Tue Oct 15 2013 Jon Ciesla <limburgher@gmail.com> - 1.1.90-1.20131015git71a6d75
- Initial package creation.